Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.util
Class BatchInboundFileUtil

    java.lang.Object
      com.stc.connector.batchadapter.util.BatchInboundFileUtil

    public class BatchInboundFileUtil

extends java.lang.Object

Author:
  rchen

Nested Class Summary
`static class` | `BatchInboundFileUtil.FileNameFilter`

Constructor Summary
`BatchInboundFileUtil()` Creates a new instance of BatchInboundFileUtil

Method Summary
`void` | `delete(java.lang.String fileName)` Delete the file.
`LocalFileName` | `getFirstFileName(java.lang.String directory, boolean directoryIsPattern, java.lang.String file, boolean fileIsPattern)`
`void` | `rename(java.lang.String srcFileName, java.lang.String destFileName)` Rename the source file to the destination file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchInboundFileUtil

    public BatchInboundFileUtil()

  Creates a new instance of BatchInboundFileUtil

Method Detail

### delete

    public void delete(java.lang.String fileName)
                throws BatchInboundException

  Delete the file.

  Parameters:
    `fileName` - The full file name.
  Throws:
    `BatchInboundException`

### rename

    public void rename(java.lang.String srcFileName,
                       java.lang.String destFileName)
                throws BatchInboundException

  Rename the source file to the destination file. Note: When moving or renaming a file, the destination volume must be the same as the source volume.

  Parameters:
    `srcFileName` - The full name of source file.
    `destFileName` - The full name of destination file.
  Throws:
    `BatchInboundException`

### getFirstFileName

    public LocalFileName getFirstFileName(java.lang.String directory,
                                          boolean directoryIsPattern,
                                          java.lang.String file,
                                          boolean fileIsPattern)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD